<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>xy-device</artifactId>
        <groupId>com.xy</groupId>
        <version>1.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>device-api-service</artifactId>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>device-api</artifactId>
            <version>1.0</version>
        </dependency>

        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>authorize-api</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>order-api</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>goods-api</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>sys-api</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>merc-api</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>msg-api</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>mqtt-api</artifactId>
            <version>1.0</version>
        </dependency>

        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-redis</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-mp</artifactId>
            <version>1.0</version>
        </dependency>
        <!-- web页面 -->
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-server-web</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-job</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>sys-sdk</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-oss</artifactId>
            <version>1.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-enum</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-algorithm</artifactId>
            <version>1.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-cloudwalk</artifactId>
            <version>1.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-tyai</artifactId>
            <version>1.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-magic-api</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>msg-sdk</artifactId>
            <version>1.0</version>
        </dependency>

        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>merc-sdk</artifactId>
            <version>1.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>xy-sim</artifactId>
            <version>1.0</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
                <filtering>true</filtering>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*.*</include>
                </includes>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>
</project>
